Index: LMDZ6/branches/LMDZ_ECRad/arch/arch-ES_MOON.path
===================================================================
--- LMDZ6/branches/LMDZ_ECRad/arch/arch-ES_MOON.path	(revision 4192)
+++ LMDZ6/branches/LMDZ_ECRad/arch/arch-ES_MOON.path	(revision 4200)
@@ -1,4 +1,6 @@
 NETCDF_LIBDIR="-L/S/home010/c0010/ES/lib -lnetcdf"
 NETCDF_INCDIR=-I/S/home010/c0010/ES/include
+NETCDF95_INCDIR=$LMDGCM/../../include
+NETCDF95_LIBDIR=$LMDGCM/../../lib
 IOIPSL_INCDIR=$LMDGCM/../../lib
 IOIPSL_LIBDIR=$LMDGCM/../../lib
Index: LMDZ6/branches/LMDZ_ECRad/arch/arch-IA64_PLATINE.path
===================================================================
--- LMDZ6/branches/LMDZ_ECRad/arch/arch-IA64_PLATINE.path	(revision 4192)
+++ LMDZ6/branches/LMDZ_ECRad/arch/arch-IA64_PLATINE.path	(revision 4200)
@@ -1,4 +1,6 @@
 NETCDF_LIBDIR="-L/usr/lib -lnetcdff  -lnetcdf"
 NETCDF_INCDIR=-I/usr/include
+NETCDF95_INCDIR=$LMDGCM/../../include
+NETCDF95_LIBDIR=$LMDGCM/../../lib
 IOIPSL_INCDIR=$LMDGCM/../../lib
 IOIPSL_LIBDIR=$LMDGCM/../../lib
Index: LMDZ6/branches/LMDZ_ECRad/arch/arch-PW6_VARGAS.path
===================================================================
--- LMDZ6/branches/LMDZ_ECRad/arch/arch-PW6_VARGAS.path	(revision 4192)
+++ LMDZ6/branches/LMDZ_ECRad/arch/arch-PW6_VARGAS.path	(revision 4200)
@@ -1,4 +1,6 @@
 NETCDF_LIBDIR="${NETCDF_LDFLAGS:--L/usr/local/pub/NetCDF/3.6.2/lib -lnetcdf}"
 NETCDF_INCDIR="${NETCDF_FFLAGS:--I/usr/local/pub/NetCDF/3.6.2/include}"
+NETCDF95_INCDIR=$LMDGCM/../../include
+NETCDF95_LIBDIR=$LMDGCM/../../lib
 IOIPSL_INCDIR=$LMDGCM/../../lib
 IOIPSL_LIBDIR=$LMDGCM/../../lib
Index: LMDZ6/branches/LMDZ_ECRad/arch/arch-SX8_BRODIE.path
===================================================================
--- LMDZ6/branches/LMDZ_ECRad/arch/arch-SX8_BRODIE.path	(revision 4192)
+++ LMDZ6/branches/LMDZ_ECRad/arch/arch-SX8_BRODIE.path	(revision 4200)
@@ -1,4 +1,6 @@
 NETCDF_LIBDIR="-L/SXlocal/pub/netCDF/3.6.1-openmp/lib -lnetcdf"
 NETCDF_INCDIR=-I/SXlocal/pub/netCDF/3.6.1-openmp/include
+NETCDF95_INCDIR=$LMDGCM/../../include
+NETCDF95_LIBDIR=$LMDGCM/../../lib
 IOIPSL_INCDIR=$LMDGCM/../../lib
 IOIPSL_LIBDIR=$LMDGCM/../../lib
Index: LMDZ6/branches/LMDZ_ECRad/arch/arch-SX8_MERCURE.path
===================================================================
--- LMDZ6/branches/LMDZ_ECRad/arch/arch-SX8_MERCURE.path	(revision 4192)
+++ LMDZ6/branches/LMDZ_ECRad/arch/arch-SX8_MERCURE.path	(revision 4200)
@@ -1,4 +1,6 @@
 NETCDF_LIBDIR="-L ${NETCDF_SX_LIBDIR:-/usr/local/SX8/soft/netcdf/lib} -lnetcdf"
 NETCDF_INCDIR=-I${NETCDF_SX_INCLUDEDIR:-/usr/local/SX8/soft/netcdf/include}
+NETCDF95_INCDIR=$LMDGCM/../../include
+NETCDF95_LIBDIR=$LMDGCM/../../lib
 IOIPSL_INCDIR=$LMDGCM/../../lib
 IOIPSL_LIBDIR=$LMDGCM/../../lib
Index: LMDZ6/branches/LMDZ_ECRad/arch/arch-SX9_MERCURE.path
===================================================================
--- LMDZ6/branches/LMDZ_ECRad/arch/arch-SX9_MERCURE.path	(revision 4192)
+++ LMDZ6/branches/LMDZ_ECRad/arch/arch-SX9_MERCURE.path	(revision 4200)
@@ -1,4 +1,6 @@
 NETCDF_LIBDIR="-L${NETCDF_SX_LIBDIR:-/ccc/applications/sx9/netcdf-3.6.1/lib} -lnetcdf"
 NETCDF_INCDIR=-I${NETCDF_SX_INCLUDEDIR:-/ccc/applications/sx9/netcdf-3.6.1/include}
+NETCDF95_INCDIR=$LMDGCM/../../include
+NETCDF95_LIBDIR=$LMDGCM/../../lib
 IOIPSL_INCDIR=$LMDGCM/../../lib
 IOIPSL_LIBDIR=$LMDGCM/../../lib
Index: LMDZ6/branches/LMDZ_ECRad/arch/arch-X64_ADA.path
===================================================================
--- LMDZ6/branches/LMDZ_ECRad/arch/arch-X64_ADA.path	(revision 4192)
+++ LMDZ6/branches/LMDZ_ECRad/arch/arch-X64_ADA.path	(revision 4200)
@@ -1,4 +1,6 @@
 NETCDF_LIBDIR="${NETCDF_LDFLAGS:--L/smplocal/pub/NetCDF/4.1.3/mpi/lib -lnetcdff -lnetcdf -L/smplocal/pub/HDF5/1.8.9/par/lib -Bstatic -lhdf5hl_fortran -lhdf5_hl -lhdf5_fortran -lhdf5 -Bdynamic -lz}"
 NETCDF_INCDIR="${NETCDF_FFLAGS:--I/smplocal/pub/HDF5/1.8.9/par/include -I/smplocal/pub/NetCDF/4.1.3/mpi/include}"
+NETCDF95_INCDIR=$LMDGCM/../../include/NetCDF95
+NETCDF95_LIBDIR=$LMDGCM/../../lib
 IOIPSL_INCDIR="$LMDGCM/../../lib -I$LMDGCM/../IOIPSL/inc"
 IOIPSL_LIBDIR="$LMDGCM/../../lib -lioipsl -L$LMDGCM/../IOIPSL/lib"
Index: LMDZ6/branches/LMDZ_ECRad/arch/arch-X64_CURIE.path
===================================================================
--- LMDZ6/branches/LMDZ_ECRad/arch/arch-X64_CURIE.path	(revision 4192)
+++ LMDZ6/branches/LMDZ_ECRad/arch/arch-X64_CURIE.path	(revision 4200)
@@ -1,4 +1,6 @@
 NETCDF_LIBDIR="-L$NETCDF_LIB_DIR -lnetcdff -lnetcdf"
 NETCDF_INCDIR=-I$NETCDF_INC_DIR
+NETCDF95_INCDIR=$LMDGCM/../../include/NetCDF95
+NETCDF95_LIBDIR=$LMDGCM/../../lib
 IOIPSL_INCDIR=$LMDGCM/../../lib
 IOIPSL_LIBDIR=$LMDGCM/../../lib
Index: LMDZ6/branches/LMDZ_ECRad/arch/arch-X64_IRENE-AMD.path
===================================================================
--- LMDZ6/branches/LMDZ_ECRad/arch/arch-X64_IRENE-AMD.path	(revision 4192)
+++ LMDZ6/branches/LMDZ_ECRad/arch/arch-X64_IRENE-AMD.path	(revision 4200)
@@ -1,4 +1,6 @@
 NETCDF_LIBDIR="-L$NETCDFFORTRAN_LIBDIR -L$NETCDF_LIBDIR -lnetcdf -lnetcdff"
 NETCDF_INCDIR=-I$NETCDFFORTRAN_INCDIR
+NETCDF95_INCDIR=$LMDGCM/../../include/NetCDF95
+NETCDF95_LIBDIR=$LMDGCM/../../lib
 IOIPSL_INCDIR="$LMDGCM/../../lib -I$LMDGCM/../IOIPSL/inc"
 IOIPSL_LIBDIR="$LMDGCM/../../lib -lioipsl -L$LMDGCM/../IOIPSL/lib"
Index: LMDZ6/branches/LMDZ_ECRad/arch/arch-X64_IRENE.path
===================================================================
--- LMDZ6/branches/LMDZ_ECRad/arch/arch-X64_IRENE.path	(revision 4192)
+++ LMDZ6/branches/LMDZ_ECRad/arch/arch-X64_IRENE.path	(revision 4200)
@@ -1,4 +1,6 @@
 NETCDF_LIBDIR="-L$NETCDFFORTRAN_LIBDIR -L$NETCDF_LIBDIR -lnetcdf -lnetcdff"
 NETCDF_INCDIR=-I$NETCDFFORTRAN_INCDIR
+NETCDF95_INCDIR=$LMDGCM/../../include/NetCDF95
+NETCDF95_LIBDIR=$LMDGCM/../../lib
 IOIPSL_INCDIR="$LMDGCM/../../lib -I$LMDGCM/../IOIPSL/inc"
 IOIPSL_LIBDIR="$LMDGCM/../../lib -lioipsl -L$LMDGCM/../IOIPSL/lib"
Index: LMDZ6/branches/LMDZ_ECRad/arch/arch-X64_JEANZAY.path
===================================================================
--- LMDZ6/branches/LMDZ_ECRad/arch/arch-X64_JEANZAY.path	(revision 4192)
+++ LMDZ6/branches/LMDZ_ECRad/arch/arch-X64_JEANZAY.path	(revision 4200)
@@ -4,4 +4,6 @@
 NETCDF_LIBDIR="-lnetcdf -lnetcdff"
 NETCDF_INCDIR=
+NETCDF95_INCDIR=$LMDGCM/../../include/NetCDF95
+NETCDF95_LIBDIR=$LMDGCM/../../lib
 IOIPSL_INCDIR="$LMDGCM/../../lib -I$LMDGCM/../IOIPSL/inc"
 IOIPSL_LIBDIR="$LMDGCM/../../lib -lioipsl -L$LMDGCM/../IOIPSL/lib"
Index: LMDZ6/branches/LMDZ_ECRad/arch/arch-X64_OCCIGEN.path
===================================================================
--- LMDZ6/branches/LMDZ_ECRad/arch/arch-X64_OCCIGEN.path	(revision 4192)
+++ LMDZ6/branches/LMDZ_ECRad/arch/arch-X64_OCCIGEN.path	(revision 4200)
@@ -1,4 +1,6 @@
 NETCDF_LIBDIR="-L/opt/software/libraries/netcdf/bullxmpi/netcdf-fortran-4.4.1-4.3.3-rc2/lib -lnetcdff -L/opt/software/libraries/netcdf/bullxmpi/netcdf-4.3.3-rc2/lib -lnetcdf -L/opt/software/libraries/hdf5/hdf5_with_bullxmpi/1.8.14/lib -lhdf5_hl -lhdf5 -lz"
 NETCDF_INCDIR="-I/opt/software/libraries/hdf5/hdf5_with_bullxmpi/1.8.14/include -I/opt/software/libraries/netcdf/bullxmpi/netcdf-fortran-4.4.1-4.3.3-rc2/include"
+NETCDF95_INCDIR=$LMDGCM/../../include/NetCDF95
+NETCDF95_LIBDIR=$LMDGCM/../../lib
 IOIPSL_INCDIR=$LMDGCM/../../lib
 IOIPSL_LIBDIR=$LMDGCM/../../lib
Index: LMDZ6/branches/LMDZ_ECRad/arch/arch-X64_TITANE.path
===================================================================
--- LMDZ6/branches/LMDZ_ECRad/arch/arch-X64_TITANE.path	(revision 4192)
+++ LMDZ6/branches/LMDZ_ECRad/arch/arch-X64_TITANE.path	(revision 4200)
@@ -1,4 +1,6 @@
 NETCDF_LIBDIR="-L$NETCDF_LIB_DIR -lnetcdff -lnetcdf"
 NETCDF_INCDIR=-I$NETCDF_INC_DIR
+NETCDF95_INCDIR=$LMDGCM/../../include
+NETCDF95_LIBDIR=$LMDGCM/../../lib
 IOIPSL_INCDIR=$LMDGCM/../../lib
 IOIPSL_LIBDIR=$LMDGCM/../../lib
Index: LMDZ6/branches/LMDZ_ECRad/arch/arch-g95.path
===================================================================
--- LMDZ6/branches/LMDZ_ECRad/arch/arch-g95.path	(revision 4192)
+++ LMDZ6/branches/LMDZ_ECRad/arch/arch-g95.path	(revision 4200)
@@ -1,4 +1,6 @@
 NETCDF_LIBDIR=...
 NETCDF_INCDIR=...
+NETCDF95_LIBDIR=...
+NETCDF95_INCDIR=...
 IOIPSL_INCDIR=...
 IOIPSL_LIBDIR=...
Index: LMDZ6/branches/LMDZ_ECRad/arch/arch-gfortran.path
===================================================================
--- LMDZ6/branches/LMDZ_ECRad/arch/arch-gfortran.path	(revision 4192)
+++ LMDZ6/branches/LMDZ_ECRad/arch/arch-gfortran.path	(revision 4200)
@@ -1,4 +1,6 @@
 NETCDF_LIBDIR="-L/usr/local/lib -lnetcdf"
 NETCDF_INCDIR=-I/usr/local/include
+NETCDF95_INCDIR=$LMDGCM/../../include
+NETCDF95_LIBDIR=$LMDGCM/../../lib
 IOIPSL_INCDIR=$LMDGCM/../../lib
 IOIPSL_LIBDIR=$LMDGCM/../../lib
Index: LMDZ6/branches/LMDZ_ECRad/arch/arch-gfortran_CICLAD.path
===================================================================
--- LMDZ6/branches/LMDZ_ECRad/arch/arch-gfortran_CICLAD.path	(revision 4192)
+++ LMDZ6/branches/LMDZ_ECRad/arch/arch-gfortran_CICLAD.path	(revision 4200)
@@ -1,4 +1,6 @@
 NETCDF_LIBDIR="-L${NETCDF_HOME}/lib -lnetcdf -lnetcdff"
 NETCDF_INCDIR=-I${NETCDF_HOME}/include
+NETCDF95_INCDIR=$LMDGCM/../../include
+NETCDF95_LIBDIR=$LMDGCM/../../lib
 IOIPSL_INCDIR=$LMDGCM/../../lib
 IOIPSL_LIBDIR=$LMDGCM/../../lib
Index: LMDZ6/branches/LMDZ_ECRad/arch/arch-ifort_CICLAD.path
===================================================================
--- LMDZ6/branches/LMDZ_ECRad/arch/arch-ifort_CICLAD.path	(revision 4192)
+++ LMDZ6/branches/LMDZ_ECRad/arch/arch-ifort_CICLAD.path	(revision 4200)
@@ -1,4 +1,6 @@
 NETCDF_LIBDIR="-L${NETCDF_HOME}/lib -lnetcdf -lnetcdff"
 NETCDF_INCDIR=-I${NETCDF_HOME}/include
+NETCDF95_INCDIR=$LMDGCM/../../include/NetCDF95
+NETCDF95_LIBDIR=$LMDGCM/../../lib
 IOIPSL_INCDIR="$LMDGCM/../../lib -I$LMDGCM/../IOIPSL/inc"
 IOIPSL_LIBDIR="$LMDGCM/../../lib -lioipsl -L$LMDGCM/../IOIPSL/lib" 
Index: LMDZ6/branches/LMDZ_ECRad/arch/arch-ifort_LSCE.path
===================================================================
--- LMDZ6/branches/LMDZ_ECRad/arch/arch-ifort_LSCE.path	(revision 4192)
+++ LMDZ6/branches/LMDZ_ECRad/arch/arch-ifort_LSCE.path	(revision 4200)
@@ -1,4 +1,6 @@
 NETCDF_LIBDIR="-L/usr/local/install/netcdf-4.3.2p/lib -lnetcdff -lnetcdf -L/usr/local/install/hdf5-1.8.9p/lib -lhdf5_hl -lhdf5 -lhdf5 -lz -lcurl"
 NETCDF_INCDIR=-I/usr/local/install/netcdf-4.3.2p/include
+NETCDF95_INCDIR=$LMDGCM/../../include
+NETCDF95_LIBDIR=$LMDGCM/../../lib
 IOIPSL_INCDIR="$LMDGCM/../../lib -I$LMDGCM/../IOIPSL/inc"
 IOIPSL_LIBDIR="$LMDGCM/../../lib -lioipsl -L$LMDGCM/../IOIPSL/lib" 
Index: LMDZ6/branches/LMDZ_ECRad/arch/arch-linux-32bit.path
===================================================================
--- LMDZ6/branches/LMDZ_ECRad/arch/arch-linux-32bit.path	(revision 4192)
+++ LMDZ6/branches/LMDZ_ECRad/arch/arch-linux-32bit.path	(revision 4200)
@@ -1,4 +1,6 @@
 NETCDF_LIBDIR="-L/usr/local/netcdf-pgi/lib -lnetcdf"
 NETCDF_INCDIR=-I/usr/local/netcdf-pgi/include
+NETCDF95_INCDIR=...
+NETCDF95_LIBDIR=...
 IOIPSL_INCDIR=...
 IOIPSL_LIBDIR=...
Index: LMDZ6/branches/LMDZ_ECRad/arch/arch-pgf_CICLAD.path
===================================================================
--- LMDZ6/branches/LMDZ_ECRad/arch/arch-pgf_CICLAD.path	(revision 4192)
+++ LMDZ6/branches/LMDZ_ECRad/arch/arch-pgf_CICLAD.path	(revision 4200)
@@ -1,4 +1,6 @@
 NETCDF_LIBDIR="-L${NETCDF_HOME}/lib -lnetcdf -lnetcdff"
 NETCDF_INCDIR=-I${NETCDF_HOME}/include
+NETCDF95_INCDIR=$LMDGCM/../../include/NetCDF95
+NETCDF95_LIBDIR=$LMDGCM/../../lib
 IOIPSL_INCDIR=$LMDGCM/../../lib
 IOIPSL_LIBDIR=$LMDGCM/../../lib