Index: /LMDZ6/branches/LMDZ_ECRad/libf/phylmd/regr_horiz_time_climoz_m.F90
===================================================================
--- /LMDZ6/branches/LMDZ_ECRad/libf/phylmd/regr_horiz_time_climoz_m.F90	(revision 4201)
+++ /LMDZ6/branches/LMDZ_ECRad/libf/phylmd/regr_horiz_time_climoz_m.F90	(revision 4202)
@@ -4,10 +4,10 @@
   USE mod_grid_phy_lmdz, ONLY: nbp_lon, nbp_lat, grid_type, unstructured
   USE nrtype,            ONLY: pi
-  USE netcdf,   ONLY: NF90_CLOBBER, NF90_FLOAT,     NF90_GET_VAR, NF90_OPEN,   &
+  USE netcdf,   ONLY: NF90_CLOBBER, NF90_FLOAT,     NF90_OPEN,   &
                       NF90_NOWRITE, NF90_NOERR,     NF90_GET_ATT, NF90_GLOBAL
   USE netcdf95, ONLY: NF95_DEF_DIM, NF95_INQ_DIMID, NF95_INQUIRE_DIMENSION,    &
-                      NF95_DEF_VAR, NF95_INQ_VARID, NF95_INQUIRE_VARIABLE,     &
-          NF95_OPEN,  NF95_CREATE,  NF95_GET_ATT,   NF95_GW_VAR,  HANDLE_ERR,  &
-          NF95_CLOSE, NF95_ENDDEF,  NF95_PUT_ATT,   NF95_PUT_VAR, NF95_COPY_ATT
+       NF95_DEF_VAR, NF95_INQ_VARID, NF95_INQUIRE_VARIABLE, &
+       NF95_OPEN,  NF95_CREATE,  NF95_GET_ATT,   NF95_GW_VAR,  nf95_get_var,  &
+       NF95_CLOSE, NF95_ENDDEF,  NF95_PUT_ATT,   NF95_PUT_VAR, NF95_COPY_ATT
   USE print_control_mod, ONLY: lunout
   USE dimphy
@@ -333,20 +333,16 @@
       !--- Read full current file and one record each available contiguous file
       DO iv=1,read_climoz
-        msg=TRIM(sub)//" NF90_GET_VAR "//TRIM(vars_in(iv))
         CALL NF95_INQ_VARID(fID_in, vars_in(1), vID_in(iv))
-        IF(l3D) ncerr=NF90_GET_VAR(fID_in, vID_in(iv), o3_in3(1:nlon_in,:,:,1:12,iv))
-        IF(l2D) ncerr=NF90_GET_VAR(fID_in, vID_in(iv), o3_in2(          :,:,1:12,iv))
-        CALL handle_err(TRIM(msg), ncerr, fID_in)
+        IF(l3D) call NF95_GET_VAR(fID_in, vID_in(iv), o3_in3(1:nlon_in,:,:,1:12,iv))
+        IF(l2D) call NF95_GET_VAR(fID_in, vID_in(iv), o3_in2(          :,:,1:12,iv))
         IF(lprev) THEN; sta(ndims)=12  
           CALL NF95_INQ_VARID(fID_in_m, vars_in(1), vID_in(iv))
-          IF(l3D) ncerr=NF90_GET_VAR(fID_in_m,vID_in(iv),o3_in3(1:nlon_in,:,:, 0,iv),sta,cnt)
-          IF(l2d) ncerr=NF90_GET_VAR(fID_in_m,vID_in(iv),o3_in2(          :,:, 0,iv),sta,cnt)
-          CALL handle_err(TRIM(msg)//" previous", ncerr, fID_in_m)
+          IF(l3D) call NF95_GET_VAR(fID_in_m,vID_in(iv),o3_in3(1:nlon_in,:,:, 0,iv),sta,cnt)
+          IF(l2d) call NF95_GET_VAR(fID_in_m,vID_in(iv),o3_in2(          :,:, 0,iv),sta,cnt)
         END IF
         IF(lnext) THEN; sta(ndims)=1  
           CALL NF95_INQ_VARID(fID_in_p, vars_in(1), vID_in(iv))
-          IF(l3D) ncerr=NF90_GET_VAR(fID_in_p,vID_in(iv),o3_in3(1:nlon_in,:,:,13,iv),sta,cnt)
-          IF(l2D) ncerr=NF90_GET_VAR(fID_in_p,vID_in(iv),o3_in2(          :,:,13,iv),sta,cnt)
-          CALL handle_err(TRIM(msg)//" next", ncerr, fID_in_p)
+          IF(l3D) call NF95_GET_VAR(fID_in_p,vID_in(iv),o3_in3(1:nlon_in,:,:,13,iv),sta,cnt)
+          IF(l2D) call NF95_GET_VAR(fID_in_p,vID_in(iv),o3_in2(          :,:,13,iv),sta,cnt)
         END IF
       END DO
Index: /LMDZ6/branches/LMDZ_ECRad/libf/phylmd/regr_lat_time_coefoz_m.F90
===================================================================
--- /LMDZ6/branches/LMDZ_ECRad/libf/phylmd/regr_lat_time_coefoz_m.F90	(revision 4201)
+++ /LMDZ6/branches/LMDZ_ECRad/libf/phylmd/regr_lat_time_coefoz_m.F90	(revision 4202)
@@ -43,7 +43,7 @@
     use regr_conserv_m, only: regr_conserv
     use regr_lint_m, only: regr_lint
-    use netcdf95, only: nf95_open, nf95_close, nf95_inq_varid, handle_err, &
+    use netcdf95, only: nf95_open, nf95_close, nf95_inq_varid, nf95_get_var, &
          nf95_put_var, nf95_gw_var
-    use netcdf, only: nf90_nowrite, nf90_get_var
+    use netcdf, only: nf90_nowrite
     use nrtype, only: pi
     use regular_lonlat_mod, only: boundslat_reg, south
@@ -201,7 +201,5 @@
        ! Process ozone parameter "name_in(i_v)"
 
-       ncerr = nf90_get_var(ncid_in, varid_in(i_v), o3_par_in)
-       call handle_err("nf90_get_var", ncerr, ncid_in)
-
+       call nf95_get_var(ncid_in, varid_in(i_v), o3_par_in)
        if (desc_lat) o3_par_in = o3_par_in(n_lat:1:-1, :, :)
 
Index: /LMDZ6/branches/LMDZ_ECRad/libf/phylmd/regr_pr_int_m.F90
===================================================================
--- /LMDZ6/branches/LMDZ_ECRad/libf/phylmd/regr_pr_int_m.F90	(revision 4201)
+++ /LMDZ6/branches/LMDZ_ECRad/libf/phylmd/regr_pr_int_m.F90	(revision 4202)
@@ -25,6 +25,5 @@
 
     use dimphy, only: klon
-    use netcdf95, only: nf95_inq_varid, handle_err
-    use netcdf, only: nf90_get_var
+    use netcdf95, only: nf95_inq_varid, nf95_get_var
     use assert_m, only: assert
     use regr_lint_m, only: regr_lint
@@ -79,6 +78,5 @@
 
        ! Get data at the right day from the input file:
-       ncerr = nf90_get_var(ncid, varid, v1(1, :, 1:), start=(/1, 1, julien/))
-       call handle_err("regr_pr_int nf90_get_var " // name, ncerr, ncid)
+       call nf95_get_var(ncid, varid, v1(1, :, 1:), start=(/1, 1, julien/))
        ! Latitudes are in ascending order in the input file while
        ! "rlatu" is in descending order so we need to invert order:
Index: /LMDZ6/branches/LMDZ_ECRad/libf/phylmd/regr_pr_o3_m.F90
===================================================================
--- /LMDZ6/branches/LMDZ_ECRad/libf/phylmd/regr_pr_o3_m.F90	(revision 4201)
+++ /LMDZ6/branches/LMDZ_ECRad/libf/phylmd/regr_pr_o3_m.F90	(revision 4202)
@@ -25,6 +25,6 @@
     ! hPa and strictly increasing.
 
-    use netcdf95, only: nf95_open, nf95_close, nf95_inq_varid, handle_err
-    use netcdf, only:  nf90_nowrite, nf90_get_var
+    use netcdf95, only: nf95_open, nf95_close, nf95_inq_varid, nf95_get_var
+    use netcdf, only:  nf90_nowrite
     use assert_m, only: assert
     use regr_conserv_m, only: regr_conserv
@@ -63,6 +63,5 @@
     call nf95_inq_varid(ncid, "r_Mob", varid)
     ! Get data at the right day from the input file:
-    ncerr = nf90_get_var(ncid, varid, r_mob, start=(/1, 1, day_ref/))
-    call handle_err("nf90_get_var r_Mob", ncerr)
+    call nf95_get_var(ncid, varid, r_mob, start=(/1, 1, day_ref/))
     ! Latitudes are in ascending order in the input file while
     ! "rlatu" is in descending order so we need to invert order:
Index: /LMDZ6/branches/LMDZ_ECRad/libf/phylmd/regr_pr_time_av_m.F90
===================================================================
--- /LMDZ6/branches/LMDZ_ECRad/libf/phylmd/regr_pr_time_av_m.F90	(revision 4201)
+++ /LMDZ6/branches/LMDZ_ECRad/libf/phylmd/regr_pr_time_av_m.F90	(revision 4202)
@@ -113,7 +113,7 @@
 !-------------------------------------------------------------------------------
   USE dimphy,         ONLY: klon
-  USE netcdf95,       ONLY: NF95_INQ_VARID, NF95_INQUIRE_VARIABLE, handle_err, &
-                            NF95_INQ_DIMID, NF95_INQUIRE_DIMENSION
-  USE netcdf,         ONLY: NF90_INQ_VARID, NF90_GET_VAR, NF90_NOERR
+  USE netcdf95,       ONLY: NF95_INQ_VARID, NF95_INQUIRE_VARIABLE, &
+                            NF95_INQ_DIMID, NF95_INQUIRE_DIMENSION, nf95_get_var
+  USE netcdf,         ONLY: NF90_INQ_VARID, NF90_NOERR
   USE assert_m,       ONLY: assert
   USE assert_eq_m,    ONLY: assert_eq
@@ -482,7 +482,6 @@
   CALL NF95_INQ_VARID(fID, TRIM(var), vID)
   CALL NF95_INQUIRE_VARIABLE(fID, vID, ndims=n_dim)
-  IF(n_dim==2) ncerr=NF90_GET_VAR(fID,vID,v(1,:), start=[  1,irec])
-  IF(n_dim==3) ncerr=NF90_GET_VAR(fID,vID,v(:,:), start=[1,1,irec])
-  CALL handle_err(TRIM(sub)//" NF90_GET_VAR "//TRIM(var),ncerr,fID)
+  IF(n_dim==2) call NF95_GET_VAR(fID,vID,v(1,:), start=[  1,irec])
+  IF(n_dim==3) call NF95_GET_VAR(fID,vID,v(:,:), start=[1,1,irec])
 
   !--- Flip latitudes: ascending in input file, descending in "rlatu".
@@ -514,7 +513,6 @@
     CALL NF95_INQ_VARID(fID, TRIM(nam(i)), vID)
     CALL NF95_INQUIRE_VARIABLE(fID, vID, ndims=n_dim)
-    IF(n_dim==3) ncerr=NF90_GET_VAR(fID,vID,v(1,:,:,i), start=[  1,1,irec])
-    IF(n_dim==4) ncerr=NF90_GET_VAR(fID,vID,v(:,:,:,i), start=[1,1,1,irec])
-    CALL handle_err(TRIM(sub)//" NF90_GET_VAR "//TRIM(nam(i)),ncerr,fID)
+    IF(n_dim==3) call NF95_GET_VAR(fID,vID,v(1,:,:,i), start=[  1,1,irec])
+    IF(n_dim==4) call NF95_GET_VAR(fID,vID,v(:,:,:,i), start=[1,1,1,irec])
   END DO
 