Index: LMDZ6/branches/LMDZ_ECRad/libf/phylmd/Ocean_skin/config_ocean_skin_m.F90
===================================================================
--- LMDZ6/branches/LMDZ_ECRad/libf/phylmd/Ocean_skin/config_ocean_skin_m.F90	(revision 4202)
+++ LMDZ6/branches/LMDZ_ECRad/libf/phylmd/Ocean_skin/config_ocean_skin_m.F90	(revision 4203)
@@ -11,6 +11,7 @@
   ! the depth of a sensor, or the depth at the middle of the first
   ! layer of an ocean model (half the depth of the first layer). In
-  ! m. Setting depth_1 to any value >= depth has the same effect as
-  ! setting depth_1 to depth.
+  ! m. Setting depth_1 to any value >= depth (named constant defined
+  ! in module `near_Surface_m`) has the same effect as setting depth_1
+  ! to depth.
 
   !$omp threadprivate(jcool, jwarm, rain_effect, depth_1)
Index: LMDZ6/branches/LMDZ_ECRad/libf/phylmd/Ocean_skin/sens_heat_rain_m.F90
===================================================================
--- LMDZ6/branches/LMDZ_ECRad/libf/phylmd/Ocean_skin/sens_heat_rain_m.F90	(revision 4202)
+++ LMDZ6/branches/LMDZ_ECRad/libf/phylmd/Ocean_skin/sens_heat_rain_m.F90	(revision 4203)
@@ -5,12 +5,16 @@
 contains
 
+#ifdef IN_LMDZ
   real function sens_heat_rain(rain, t, q, rhoa, xlv, t_int, p)
+#else
+  elemental real function sens_heat_rain(rain, t, q, rhoa, xlv, t_int, p)
+#endif
 
     ! Computes heat flux due to rainfall, in W m-2, positive
     ! upward.
 
-    ! Do not declare this function as elemental because it may include
-    ! YOMCST.h, which contains an OpenMP directive, and that only
-    ! works in OpenMP 5.0.
+    ! If in LMDZ, do not declare this function as elemental because
+    ! YOMCST.h contains an OpenMP directive, and that only works in
+    ! OpenMP 5.0.
 
     use const, only: cpa, cpw, rgas
Index: LMDZ6/branches/LMDZ_ECRad/libf/phylmd/aero_mod.F90
===================================================================
--- LMDZ6/branches/LMDZ_ECRad/libf/phylmd/aero_mod.F90	(revision 4202)
+++ LMDZ6/branches/LMDZ_ECRad/libf/phylmd/aero_mod.F90	(revision 4203)
@@ -55,5 +55,5 @@
        "ASBCM  ", & ! Accumulation-mode Soluble Black Carbon Mass 
        "ASPOMM ", & ! Accumulation-mode Soluble Particle Organic Matter Mass
-       "SO4    ", & ! Sulfate
+       "SO4    ", & ! Accumulation-mode Soluble Sulfate
        "CSSO4M ", & ! Coarse-mode Soluble Sulfate Mass
        "SSSSM  ", & ! Super-coarse mode Soluble Sea-Salt Mass
Index: LMDZ6/branches/LMDZ_ECRad/libf/phylmd/infotrac_phy.F90
===================================================================
--- LMDZ6/branches/LMDZ_ECRad/libf/phylmd/infotrac_phy.F90	(revision 4202)
+++ LMDZ6/branches/LMDZ_ECRad/libf/phylmd/infotrac_phy.F90	(revision 4203)
@@ -162,5 +162,5 @@
 
    type_trac = type_trac_
-   IF(strParse(type_trac, '|', types_trac)) CALL abort_gcm(modname,'can''t parse "type_trac = '//TRIM(type_trac)//'"',1)
+   IF(strParse(type_trac, '|', types_trac)) CALL abort_physic(modname,'can''t parse "type_trac = '//TRIM(type_trac)//'"',1)
    tracers   = tracers_
    isotopes  = isotopes_
Index: LMDZ6/branches/LMDZ_ECRad/libf/phylmd/phys_output_write_mod.F90
===================================================================
--- LMDZ6/branches/LMDZ_ECRad/libf/phylmd/phys_output_write_mod.F90	(revision 4202)
+++ LMDZ6/branches/LMDZ_ECRad/libf/phylmd/phys_output_write_mod.F90	(revision 4203)
@@ -2551,5 +2551,5 @@
            CALL histwrite_phy(o_flx_co2_bb,    fco2_bb)
 
-         ELSE IF (ANY(types_trac=='lmdz') .OR. ANY(types_trac=='coag')) THEN
+         ELSE IF ((ANY(types_trac=='lmdz') .OR. ANY(types_trac=='coag')) .AND. ALL(types_trac /= 'inca')) THEN
            itr = 0
            DO iq = 1, nqtot
Index: LMDZ6/branches/LMDZ_ECRad/libf/phylmd/rrtm/rrtm_taumol2.F90
===================================================================
--- LMDZ6/branches/LMDZ_ECRad/libf/phylmd/rrtm/rrtm_taumol2.F90	(revision 4202)
+++ LMDZ6/branches/LMDZ_ECRad/libf/phylmd/rrtm/rrtm_taumol2.F90	(revision 4203)
@@ -22,4 +22,7 @@
  & FORREF   ,SELFREF , REFPARAM  
 USE YOERRTBG2, ONLY : CORR1  ,CORR2
+
+USE print_control_mod, ONLY: mydebug=>debug , lunout, prt_level, &
+ & alert_first_call, call_alert, prt_alerte
 
 !  Input
@@ -65,4 +68,7 @@
 !      EQUIVALENCE (TAUAERL(1,2),TAUAER)
 
+    CHARACTER (LEN=20) :: modname='rrtm_taumol2'
+    CHARACTER*80 message
+
 !     Compute the optical depth by interpolating in ln(pressure) and 
 !     temperature.  Below LAYTROP, the water vapor self-continuum is 
@@ -115,6 +121,10 @@
 ! C'est evidemment une correction suspecte
   IF (IFP>200) THEN
+   IF (call_alert) THEN
+      message='WARNING IFP='
+      CALL prt_alerte(message,modname,1)
       PRINT*,'WARNING IFP=',IFP,' 2.E2_JPRB*Z_FP+0.5_JPRB avec Z_FP=',Z_FP
       IFP=200
+   ENDIF
   ENDIF
 
@@ -156,6 +166,10 @@
   IF (IFP <= 0) IFP=0
   IF (IFP>200) THEN
+   IF (call_alert) THEN
+      message='WARNING IFP='
+      CALL prt_alerte(message,modname,1)
       PRINT*,'WARNING IFP=',IFP,' 2.E2_JPRB*Z_FP+0.5_JPRB avec Z_FP=',Z_FP
       IFP=200
+   ENDIF
   ENDIF
 