Index: LMDZ6/trunk/DefLists/file_def_histhf_lmdz.xml
===================================================================
--- LMDZ6/trunk/DefLists/file_def_histhf_lmdz.xml	(revision 4227)
+++ LMDZ6/trunk/DefLists/file_def_histhf_lmdz.xml	(revision 4248)
@@ -488,6 +488,4 @@
                 <field field_ref="cldemi" level="10" />
                 <field field_ref="tke_max" level="10" operation="maximum" />
-                <field field_ref="kz" level="10" />
-                <field field_ref="kz_max" level="10" operation="maximum" />
                 <field field_ref="concso4" level="10" />
                 <field field_ref="concoa" level="10" />
@@ -566,5 +564,4 @@
                 <field field_ref="wdtrainA" level="10" />
                 <field field_ref="wdtrainM" level="10" />
-                <field field_ref="Vprecip" level="10" />
                 <field field_ref="ftd" level="10" />
                 <field field_ref="fqd" level="10" />
@@ -590,10 +587,7 @@
                 <field field_ref="ratqs" level="10" />
                 <field field_ref="dtthe" level="10" />
-                <field field_ref="f_th" level="10" />
                 <field field_ref="e_th" level="10" />
-                <field field_ref="w_th" level="10" />
                 <field field_ref="lambda_th" level="10" />
                 <field field_ref="q_th" level="10" />
-                <field field_ref="a_th" level="10" />
                 <field field_ref="s_th" level="10" />
                 <field field_ref="s_env" level="10" />
@@ -624,12 +618,4 @@
                 <field field_ref="dtlif" level="10" />
                 <field field_ref="dthin" level="10" />
-                <field field_ref="rsu" level="10" />
-                <field field_ref="rsd" level="10" />
-                <field field_ref="rlu" level="10" />
-                <field field_ref="rld" level="10" />
-                <field field_ref="rsucs" level="10" />
-                <field field_ref="rsdcs" level="10" />
-                <field field_ref="rlucs" level="10" />
-                <field field_ref="rldcs" level="10" />
                 <field field_ref="tnt" level="10" />
                 <field field_ref="tntc" level="10" />
@@ -639,5 +625,4 @@
                 <field field_ref="tnhusc" level="10" />
                 <field field_ref="tnhusscpbl" level="10" />
-                <field field_ref="evu" level="10" />
                 <field field_ref="h2o" level="10" />
                 <field field_ref="mcd" level="10" />
@@ -645,33 +630,29 @@
                 <field field_ref="ref_liq" level="10" />
                 <field field_ref="ref_ice" level="10" />
+              </field_group>
+              <field_group operation="average" grid_ref="grid_out_presinter">
+                <field field_ref="a_th" level="9" />
+                <field field_ref="f_th" level="7" />
+                <field field_ref="w_th" level="7" />
+                <field field_ref="rsucs" level="10" />
+                <field field_ref="rsdcs" level="10" />
+                <field field_ref="rlucs" level="10" />
+                <field field_ref="rldcs" level="10" />
+                <field field_ref="rldcs4co2" level="10" />
+                <field field_ref="rlucs4co2" level="10" />
+                <field field_ref="rsdcs4co2" level="10" />
+                <field field_ref="rsucs4co2" level="10" />
                 <field field_ref="rsu4co2" level="10" />
                 <field field_ref="rlu4co2" level="10" />
-                <field field_ref="rsucs4co2" level="10" />
-                <field field_ref="rlucs4co2" level="10" />
                 <field field_ref="rsd4co2" level="10" />
                 <field field_ref="rld4co2" level="10" />
-                <field field_ref="rsdcs4co2" level="10" />
-                <field field_ref="rldcs4co2" level="10" />
-                <field field_ref="oclr" level="10" />
-                <field field_ref="ocld" level="10" />
-                <field field_ref="oss" level="10" />
-                <field field_ref="ovc" level="10" />
-                <field field_ref="rnebclr" level="10" />
-                <field field_ref="rnebss" level="10" />
-                <field field_ref="rnebseri" level="10" />
-                <field field_ref="gammass" level="10" />
-                <field field_ref="N1ss" level="10" />
-                <field field_ref="N2ss" level="10" />
-                <field field_ref="drnebsub" level="10" />
-                <field field_ref="drnebcon" level="10" />
-                <field field_ref="drnebtur" level="10" />
-                <field field_ref="drnebavi" level="10" />
-                <field field_ref="qsatl" level="10" />
-                <field field_ref="qsats" level="10" />
-                <field field_ref="fcontrP" level="10" />
-                <field field_ref="fcontrN" level="10" />
-                <field field_ref="qcontr" level="10" operation="instant" />
-                <field field_ref="qcontr2" level="10" operation="instant" />
-                <field field_ref="Tcontr" level="10" operation="instant" />
+                <field field_ref="Vprecip" level="11" />
+                <field field_ref="rsu" level="5" />
+                <field field_ref="rsd" level="5" />
+                <field field_ref="rlu" level="5" />
+                <field field_ref="rld" level="5" />
+                <field field_ref="kz" level="4" />
+                <field field_ref="kz_max" level="4" operation="maximum" />
+                <field field_ref="evu" level="10" />
               </field_group>
 