Index: LMDZ6/trunk/libf/phylmd/phyaqua_mod.F90
===================================================================
--- LMDZ6/trunk/libf/phylmd/phyaqua_mod.F90	(revision 4251)
+++ LMDZ6/trunk/libf/phylmd/phyaqua_mod.F90	(revision 4253)
@@ -573,4 +573,5 @@
     USE mod_phys_lmdz_transfert_para, ONLY: gather
     USE phys_cal_mod, ONLY: year_len
+    use netcdf, only: nf90_def_var, nf90_double, nf90_float
     IMPLICIT NONE
     include "netcdf.inc"
@@ -617,14 +618,14 @@
 
 #ifdef NC_DOUBLE
-      ierr = nf_def_var(nid, 'TEMPS', nf_double, 1, ntim, id_tim)
-#else
-      ierr = nf_def_var(nid, 'TEMPS', nf_float, 1, ntim, id_tim)
+      ierr = nf90_def_var(nid, 'TEMPS', nf90_double, [ntim], id_tim)
+#else
+      ierr = nf90_def_var(nid, 'TEMPS', nf90_float, [ntim], id_tim)
 #endif
       ierr = nf_put_att_text(nid, id_tim, 'title', 17, 'Jour dans l annee')
 
 #ifdef NC_DOUBLE
-      ierr = nf_def_var(nid, 'NAT', nf_double, 2, dims, id_nat)
-#else
-      ierr = nf_def_var(nid, 'NAT', nf_float, 2, dims, id_nat)
+      ierr = nf90_def_var(nid, 'NAT', nf90_double, dims, id_nat)
+#else
+      ierr = nf90_def_var(nid, 'NAT', nf90_float, dims, id_nat)
 #endif
       ierr = nf_put_att_text(nid, id_nat, 'title', 23, &
@@ -632,7 +633,7 @@
 
 #ifdef NC_DOUBLE
-      ierr = nf_def_var(nid, 'SST', nf_double, 2, dims, id_sst)
-#else
-      ierr = nf_def_var(nid, 'SST', nf_float, 2, dims, id_sst)
+      ierr = nf90_def_var(nid, 'SST', nf90_double, dims, id_sst)
+#else
+      ierr = nf90_def_var(nid, 'SST', nf90_float, dims, id_sst)
 #endif
       ierr = nf_put_att_text(nid, id_sst, 'title', 35, &
@@ -640,7 +641,7 @@
 
 #ifdef NC_DOUBLE
-      ierr = nf_def_var(nid, 'BILS', nf_double, 2, dims, id_bils)
-#else
-      ierr = nf_def_var(nid, 'BILS', nf_float, 2, dims, id_bils)
+      ierr = nf90_def_var(nid, 'BILS', nf90_double, dims, id_bils)
+#else
+      ierr = nf90_def_var(nid, 'BILS', nf90_float, dims, id_bils)
 #endif
       ierr = nf_put_att_text(nid, id_bils, 'title', 32, &
@@ -648,39 +649,39 @@
 
 #ifdef NC_DOUBLE
-      ierr = nf_def_var(nid, 'ALB', nf_double, 2, dims, id_alb)
-#else
-      ierr = nf_def_var(nid, 'ALB', nf_float, 2, dims, id_alb)
+      ierr = nf90_def_var(nid, 'ALB', nf90_double, dims, id_alb)
+#else
+      ierr = nf90_def_var(nid, 'ALB', nf90_float, dims, id_alb)
 #endif
       ierr = nf_put_att_text(nid, id_alb, 'title', 19, 'Albedo a la surface')
 
 #ifdef NC_DOUBLE
-      ierr = nf_def_var(nid, 'RUG', nf_double, 2, dims, id_rug)
-#else
-      ierr = nf_def_var(nid, 'RUG', nf_float, 2, dims, id_rug)
+      ierr = nf90_def_var(nid, 'RUG', nf90_double, dims, id_rug)
+#else
+      ierr = nf90_def_var(nid, 'RUG', nf90_float, dims, id_rug)
 #endif
       ierr = nf_put_att_text(nid, id_rug, 'title', 8, 'Rugosite')
 
 #ifdef NC_DOUBLE
-      ierr = nf_def_var(nid, 'FTER', nf_double, 2, dims, id_fter)
-#else
-      ierr = nf_def_var(nid, 'FTER', nf_float, 2, dims, id_fter)
+      ierr = nf90_def_var(nid, 'FTER', nf90_double, dims, id_fter)
+#else
+      ierr = nf90_def_var(nid, 'FTER', nf90_float, dims, id_fter)
 #endif
       ierr = nf_put_att_text(nid, id_fter, 'title',10,'Frac. Land')
 #ifdef NC_DOUBLE
-      ierr = nf_def_var(nid, 'FOCE', nf_double, 2, dims, id_foce)
-#else
-      ierr = nf_def_var(nid, 'FOCE', nf_float, 2, dims, id_foce)
+      ierr = nf90_def_var(nid, 'FOCE', nf90_double, dims, id_foce)
+#else
+      ierr = nf90_def_var(nid, 'FOCE', nf90_float, dims, id_foce)
 #endif
       ierr = nf_put_att_text(nid, id_foce, 'title',11,'Frac. Ocean')
 #ifdef NC_DOUBLE
-      ierr = nf_def_var(nid, 'FSIC', nf_double, 2, dims, id_fsic)
-#else
-      ierr = nf_def_var(nid, 'FSIC', nf_float, 2, dims, id_fsic)
+      ierr = nf90_def_var(nid, 'FSIC', nf90_double, dims, id_fsic)
+#else
+      ierr = nf90_def_var(nid, 'FSIC', nf90_float, dims, id_fsic)
 #endif
       ierr = nf_put_att_text(nid, id_fsic, 'title',13,'Frac. Sea Ice')
 #ifdef NC_DOUBLE
-      ierr = nf_def_var(nid, 'FLIC', nf_double, 2, dims, id_flic)
-#else
-      ierr = nf_def_var(nid, 'FLIC', nf_float, 2, dims, id_flic)
+      ierr = nf90_def_var(nid, 'FLIC', nf90_double, dims, id_flic)
+#else
+      ierr = nf90_def_var(nid, 'FLIC', nf90_float, dims, id_flic)
 #endif
       ierr = nf_put_att_text(nid, id_flic, 'title',14,'Frac. Land Ice')