Index: /LMDZ6/trunk/libf/dyn3dmem/dynetat0_loc.F90
===================================================================
--- /LMDZ6/trunk/libf/dyn3dmem/dynetat0_loc.F90	(revision 4262)
+++ /LMDZ6/trunk/libf/dyn3dmem/dynetat0_loc.F90	(revision 4263)
@@ -46,4 +46,5 @@
   REAL,             ALLOCATABLE :: ucov_glo(:,:),    q_glo(:,:), phis_glo(:)
   REAL,             ALLOCATABLE :: teta_glo(:,:)
+  LOGICAL :: lOldHNO3
 !-------------------------------------------------------------------------------
   modname="dynetat0_loc"
@@ -151,4 +152,8 @@
 !--- Tracers
   ALLOCATE(q_glo(ip1jmp1,llm))
+#ifdef REPROBUS
+!--- Old convention: HNO3 = g+l and HNO3_g = g ; new convention: HNO3tot = g+l and HNO3 = g
+  lOldHNO3 = NF90_INQ_VARID(fID,var,vID), "inq", 'HNO3tot') /= NF90_NoErr
+#endif
   DO iq=1,nqtot
     var = tracers(iq)%name
@@ -166,5 +171,13 @@
       CALL msg('Tracer <O3> is missing => initialized to <OX>', modname)
       CALL get_var2( 'OX' , q_glo); q(ijb_u:ije_u,:,iq)=q_glo(ijb_u:ije_u,:)
-    !--------------------------------------------------------------------------------------------------------------------------
+#endif
+    !--------------------------------------------------------------------------------------------------------------------------
+#ifdef REPROBUS
+    ELSE IF(lOldHNO3 .AND. var == 'HNO3') THEN                                           !=== REPROBUS: HNO3_g INSTEAD OF HNO3
+      CALL msg('Tracer <HNO3_g> is used for <HNO3> (old convention)', modname)
+      CALL get_var2( 'HNO3_g', q_glo); q(ijb_u:ije_u,:,iq)=q_glo(ijb_u:ije_u,:)
+    ELSE IF(lOldHNO3 .AND. var == 'HNO3tot') THEN                                        !=== REPROBUS: HNO3 INSTEAD OF HNO3tot
+      CALL msg('Tracer <HNO3> is used for <HNO3tot> (old convention)', modname)
+      CALL get_var2( 'HNO3', q_glo); q(ijb_u:ije_u,:,iq)=q_glo(ijb_u:ije_u,:)
 #endif
     ELSE IF(tracers(iq)%iso_iGroup == iH2O .AND. niso > 0) THEN                          !=== WATER ISOTOPES
Index: /LMDZ6/trunk/libf/misc/readTracFiles_mod.f90
===================================================================
--- /LMDZ6/trunk/libf/misc/readTracFiles_mod.f90	(revision 4262)
+++ /LMDZ6/trunk/libf/misc/readTracFiles_mod.f90	(revision 4263)
@@ -158,4 +158,5 @@
         tracs(it)%phase = known_phases(ip:ip)                        !--- Set %phase:  tracer phase (default: "g"azeous)
         tracs(it)%component = TRIM(type_trac)                        !--- Set %component: model component name
+        IF(ANY([(addPhase('H2O', ip), ip=1, nphases)] == tracs(it)%name)) tracs(it)%component = 'lmdz'
         tracs(it)%keys%key = ['hadv', 'vadv']                        !--- Set %keys%key
         tracs(it)%keys%val = s(1:2)                                  !--- Set %keys%val
Index: /LMDZ6/trunk/libf/phy_common/physics_distribution_mod.F90
===================================================================
--- /LMDZ6/trunk/libf/phy_common/physics_distribution_mod.F90	(revision 4262)
+++ /LMDZ6/trunk/libf/phy_common/physics_distribution_mod.F90	(revision 4263)
@@ -40,5 +40,4 @@
 ! Initialization of Reprobus
     IF (ANY(types_trac == 'repr')) CALL Init_chem_rep_phys(klon_omp,nbp_lev)
-    END IF
 #endif
 
Index: /LMDZ6/trunk/libf/phylmd/phyetat0.F90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/phyetat0.F90	(revision 4262)
+++ /LMDZ6/trunk/libf/phylmd/phyetat0.F90	(revision 4263)
@@ -23,5 +23,5 @@
   USE geometry_mod,     ONLY: longitude_deg, latitude_deg
   USE iostart,          ONLY: close_startphy, get_field, get_var, open_startphy
-  USE infotrac_phy,     ONLY: nqtot, nbtr, types_trac, tracers
+  USE infotrac_phy,     ONLY: nqtot, nbtr, type_trac, types_trac, tracers
   USE traclmdz_mod,     ONLY: traclmdz_from_restart
   USE carbon_cycle_mod, ONLY: carbon_cycle_tr, carbon_cycle_cpl, co2_send
@@ -456,5 +456,5 @@
         found=phyetat0_get(1,co2_send,"co2_send","co2 send",co2_ppm)
      ENDIF
-  ELSE IF (ANY(types_trac == 'lmdz')) THEN
+  ELSE IF (type_trac == 'lmdz') THEN
      it = 0
      DO iq = 1, nqtot
Index: /LMDZ6/trunk/libf/phylmd/phyredem.F90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/phyredem.F90	(revision 4262)
+++ /LMDZ6/trunk/libf/phylmd/phyredem.F90	(revision 4263)
@@ -35,5 +35,5 @@
   USE iostart, ONLY: open_restartphy, close_restartphy, enddef_restartphy, put_field, put_var
   USE traclmdz_mod, ONLY : traclmdz_to_restart
-  USE infotrac_phy, ONLY: types_trac, nqtot, tracers, nbtr
+  USE infotrac_phy, ONLY: type_trac, types_trac, nqtot, tracers, nbtr
   USE carbon_cycle_mod, ONLY : carbon_cycle_cpl, co2_send
   USE indice_sol_mod, ONLY: nbsrf, is_oce, is_sic, is_ter, is_lic, epsfra
@@ -336,5 +336,5 @@
 
     ! trs from traclmdz_mod
-    ELSE IF (ANY(types_trac == 'lmdz')) THEN
+    ELSE IF (type_trac == 'lmdz') THEN
        CALL traclmdz_to_restart(trs)
        it = 0
Index: /LMDZ6/trunk/libf/phylmd/phys_output_write_mod.F90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/phys_output_write_mod.F90	(revision 4262)
+++ /LMDZ6/trunk/libf/phylmd/phys_output_write_mod.F90	(revision 4263)
@@ -25,5 +25,5 @@
 
     USE dimphy, ONLY: klon, klev, klevp1
-    USE infotrac_phy, ONLY: nbtr, nqtot, nqo, types_trac, tracers, niso, ntiso
+    USE infotrac_phy, ONLY: nbtr, nqtot, nqo, type_trac, types_trac, tracers, niso, ntiso
     USE strings_mod,  ONLY: maxlen
     USE mod_phys_lmdz_para, ONLY: is_north_pole_phy,is_south_pole_phy
@@ -2548,5 +2548,5 @@
            CALL histwrite_phy(o_flx_co2_bb,    fco2_bb)
 
-         ELSE IF ((ANY(types_trac=='lmdz') .OR. ANY(types_trac=='coag')) .AND. ALL(types_trac /= 'inca')) THEN
+         ELSE IF (ANY(type_trac==['lmdz|coag','lmdz     ','coag     '])) THEN
            itr = 0
            DO iq = 1, nqtot