Index: LMDZ6/trunk/libf/phylmd/dyn1d/mod_1D_cases_read_std.F90
===================================================================
--- LMDZ6/trunk/libf/phylmd/dyn1d/mod_1D_cases_read_std.F90	(revision 4274)
+++ LMDZ6/trunk/libf/phylmd/dyn1d/mod_1D_cases_read_std.F90	(revision 4282)
@@ -112,5 +112,5 @@
     ENDIF
     ierr=NF_INQ_DIMLEN(nid,rid,ii)
-    print*,'OK1 read2: nid,rid,lat',nid,rid,ii
+    print*,'OK1 read_SCM_cas: nid,rid,lat',nid,rid,ii
     !.......................................................................
     ierr=NF_INQ_DIMID(nid,'lon',rid)
@@ -119,5 +119,5 @@
     ENDIF
     ierr=NF_INQ_DIMLEN(nid,rid,jj)
-    print*,'OK2 read2: nid,rid,lat',nid,rid,jj
+    print*,'OK2 read_SCM_cas: nid,rid,lat',nid,rid,jj
     !.......................................................................
     ierr=NF_INQ_DIMID(nid,'lev',rid)
@@ -126,5 +126,5 @@
     ENDIF
     ierr=NF_INQ_DIMLEN(nid,rid,nlev_cas)
-    print*,'OK3 read2: nid,rid,nlev_cas',nid,rid,nlev_cas
+    print*,'OK3 read_SCM_cas: nid,rid,nlev_cas',nid,rid,nlev_cas
     IF ( .NOT. ( nlev_cas > 10 .AND. nlev_cas < 200000 )) THEN
        print*,'Valeur de nlev_cas peu probable'
@@ -138,5 +138,5 @@
     ENDIF
     ierr=NF_INQ_DIMLEN(nid,rid,nt_cas)
-    print*,'OK4 read2: nid,rid,nt_cas',nid,rid,nt_cas
+    print*,'OK4 read_SCM_cas: nid,rid,nt_cas',nid,rid,nt_cas
     ! Lecture de l'axe des temps
     print*,'LECTURE DU TEMPS'
@@ -149,5 +149,5 @@
        ierr = NF90_GET_VAR(nid,timeid,time_val)
        if(ierr/=NF_NOERR) then
-          print *,'Pb a la lecture de time cas.nc: '
+          print *,'A Pb a la lecture de time cas.nc: '
        endif
     endif
@@ -243,5 +243,5 @@
     print*,'read_SCM cas OK'
     do ii=1,nlev_cas
-       print*,'apres read2_SCM, plev_cas=',ii,plev_cas(ii,1)
+       print*,'apres read_SCM_cas, plev_cas=',ii,plev_cas(ii,1)
        !print*,'apres read_SCM, plev_cas=',ii,omega_cas(ii,nt_cas/2+1)
     enddo
@@ -399,5 +399,5 @@
          'radv','radvh','radvv','tnta_rad','q1','q2','ustress','vstress',                           & ! #33 - #40
          'rh','ta_nud','qv_nud','ua_nud','va_nud',                                       & ! #41-45
-         'zh_forc','pa_forc','tat','thetat','thetavt','thetalt','qvt','qlt','qit','rv','uat','vat',   & ! #46-57
+         'zh_forc','pa_forc','tat','thetat','thetavt','thetalt','qvt','qlt','qit','rvt','uat','vat',   & ! #46-57
          'nudging_constant_ta', 'nudging_constant_qv', 'nudging_constant_ua', 'nudging_constant_va',           & ! # 58-61
                                 ! coordonnees temps #12
@@ -457,7 +457,7 @@
           if(i.LE.4) then
              ierr = NF90_GET_VAR(nid,var3didin(i),apbp)
-             print *,'read2_cas(apbp), on a lu ',i,name_var(i)
+             print *,'read_SCM(apbp), on a lu ',i,name_var(i)
              if(ierr/=NF_NOERR) then
-                print *,'Pb a la lecture de cas.nc: ',name_var(i)
+                print *,'B Pb a la lecture de cas.nc: ',name_var(i)
                 stop "getvarup"
              endif
@@ -468,7 +468,7 @@
           else if(i.gt.4.and.i.LE.12) then  
              ierr = NF90_GET_VAR(nid,var3didin(i),resul1)
-             print *,'read2_cas(resul1), on a lu ',i,name_var(i)
+             print *,'read_SCM(resul1), on a lu ',i,name_var(i)
              if(ierr/=NF_NOERR) then
-                print *,'Pb a la lecture de cas.nc: ',name_var(i)
+                print *,'C Pb a la lecture de cas.nc: ',name_var(i)
                 stop "getvarup"
              endif
@@ -481,7 +481,7 @@
           else if(i.gt.12.and.i.LE.61) then
              ierr = NF90_GET_VAR(nid,var3didin(i),resul)
-             print *,'read2_cas(resul), on a lu ',i,name_var(i)
+             print *,'read_SCM(resul), on a lu ',i,name_var(i)
              if(ierr/=NF_NOERR) then
-                print *,'Pb a la lecture de cas.nc: ',name_var(i)
+                print *,'D Pb a la lecture de cas.nc: ',name_var(i)
                 stop "getvarup"
              endif
@@ -493,7 +493,7 @@
           else if (i.gt.62.and.i.LE.75) then
              ierr = NF90_GET_VAR(nid,var3didin(i),resul2)
-             print *,'read2_cas(resul2), on a lu ',i,name_var(i)
+             print *,'read_SCM(resul2), on a lu ',i,name_var(i)
              if(ierr/=NF_NOERR) then
-                print *,'Pb a la lecture de cas.nc: ',name_var(i)
+                print *,'E Pb a la lecture de cas.nc: ',name_var(i)
                 stop "getvarup"
              endif
@@ -505,7 +505,7 @@
           else
              ierr = NF90_GET_VAR(nid,var3didin(i),resul3)
-             print *,'read2_cas(resul3), on a lu ',i,name_var(i)
+             print *,'read_SCM(resul3), on a lu ',i,name_var(i)
              if(ierr/=NF_NOERR) then
-                print *,'Pb a la lecture de cas.nc: ',name_var(i)
+                print *,'F Pb a la lecture de cas.nc: ',name_var(i)
                 stop "getvarup"
              endif