Index: LMDZ6/trunk/DefLists/README
===================================================================
--- LMDZ6/trunk/DefLists/README	(revision 4281)
+++ LMDZ6/trunk/DefLists/README	(revision 4284)
@@ -11,2 +11,7 @@
 physiq.def_NPv5.70         IPSL-CM6.0.5
 physiq.def_NPv5.67         IPSL-CM6.0.5 / THC1 (test de sensibilité)
+physiq.def_NPv6.1          IPSL-CM6A
+physiq.def_NPv6.2          IPSL-CM6A for QUEST (without 2 CM6A bugs)
+physiq.def_NPv6.3          IPSL-CM6A + new flags added since CMIP6 end 2018
+physiq.def_NPv6.4          NPv6.3 without 2 CM6A bugs
+physiq.def_LUDOBest2       Ludovic' physic tuned by Frederic 
Index: LMDZ6/trunk/DefLists/physiq.def_LUDOBest2
===================================================================
--- LMDZ6/trunk/DefLists/physiq.def_LUDOBest2	(revision 4281)
+++ LMDZ6/trunk/DefLists/physiq.def_LUDOBest2	(revision 4284)
@@ -170,13 +170,4 @@
 iflag_albedo=1
 
-    # Controle de la definition de l'inertie thermique du sol dans le modele "bucket":
-    #   0 (default) : constant
-    #   1 : fonction lineaire de qsol
-    #   2 : 2 fonctions lineaires de qsol :
-    #       une pour "sable" (boite lat/lon pour Sahara), une pour le reste (limons et argile)
-    #   3 : fonction lineaire de qsol, valeurs entre 900 pour qsol=0 et 2000 pour qsol=150
-iflag_inertie=0
-
-
           # Frequence appel convection. Nombre appels par jour
           # (nbapp_cv=0 ==> appel tous les pas de temps)
@@ -568,13 +559,4 @@
 iflag_wk_pop_dyn=0
 
-          #Flag for the active wake ratio (D:1):
-          # iflag_wk_act=0: ==> active wake ratio = 0.
-          # iflag_wk_act=1: ==> active wake ratio = 1.
-          # iflag_wk_act=2: ==> active wake ratio = f(Wape)
-          # iflag_wk_act=3: ==> active wake ratio =
-          #     f(wake_dens, wake_radius, wape, Alp_wk, Alp_bl, birth rate fr cu)
-iflag_wk_act=1
-
-
 ####################################################################
 #  Conservation 
Index: LMDZ6/trunk/DefLists/physiq.def_NPv6.3
===================================================================
--- LMDZ6/trunk/DefLists/physiq.def_NPv6.3	(revision 4281)
+++ LMDZ6/trunk/DefLists/physiq.def_NPv6.3	(revision 4284)
@@ -170,13 +170,4 @@
 iflag_albedo=1
 
-    # Controle de la definition de l'inertie thermique du sol dans le modele "bucket":
-    #   0 (default) : constant
-    #   1 : fonction lineaire de qsol
-    #   2 : 2 fonctions lineaires de qsol :
-    #       une pour "sable" (boite lat/lon pour Sahara), une pour le reste (limons et argile)
-    #   3 : fonction lineaire de qsol, valeurs entre 900 pour qsol=0 et 2000 pour qsol=150
-iflag_inertie=0
-
-
           # Frequence appel convection. Nombre appels par jour
           # (nbapp_cv=0 ==> appel tous les pas de temps)
@@ -567,13 +558,4 @@
 iflag_wk_pop_dyn=0
 
-          #Flag for the active wake ratio (D:1):
-          # iflag_wk_act=0: ==> active wake ratio = 0.
-          # iflag_wk_act=1: ==> active wake ratio = 1.
-          # iflag_wk_act=2: ==> active wake ratio = f(Wape)
-          # iflag_wk_act=3: ==> active wake ratio =
-          #     f(wake_dens, wake_radius, wape, Alp_wk, Alp_bl, birth rate fr cu)
-iflag_wk_act=1
-
-
 ####################################################################
 #  Conservation 
Index: LMDZ6/trunk/DefLists/physiq.def_NPv6.4
===================================================================
--- LMDZ6/trunk/DefLists/physiq.def_NPv6.4	(revision 4281)
+++ LMDZ6/trunk/DefLists/physiq.def_NPv6.4	(revision 4284)
@@ -170,13 +170,4 @@
 iflag_albedo=1
 
-    # Controle de la definition de l'inertie thermique du sol dans le modele "bucket":
-    #   0 (default) : constant
-    #   1 : fonction lineaire de qsol
-    #   2 : 2 fonctions lineaires de qsol :
-    #       une pour "sable" (boite lat/lon pour Sahara), une pour le reste (limons et argile)
-    #   3 : fonction lineaire de qsol, valeurs entre 900 pour qsol=0 et 2000 pour qsol=150
-iflag_inertie=0
-
-
           # Frequence appel convection. Nombre appels par jour
           # (nbapp_cv=0 ==> appel tous les pas de temps)
@@ -567,13 +558,4 @@
 iflag_wk_pop_dyn=0
 
-          #Flag for the active wake ratio (D:1):
-          # iflag_wk_act=0: ==> active wake ratio = 0.
-          # iflag_wk_act=1: ==> active wake ratio = 1.
-          # iflag_wk_act=2: ==> active wake ratio = f(Wape)
-          # iflag_wk_act=3: ==> active wake ratio =
-          #     f(wake_dens, wake_radius, wape, Alp_wk, Alp_bl, birth rate fr cu)
-iflag_wk_act=1
-
-
 ####################################################################
 #  Conservation 