Index: /BOL/Multi_atlas/descriptionMAM.zon
===================================================================
--- /BOL/Multi_atlas/descriptionMAM.zon	(revision 4324)
+++ /BOL/Multi_atlas/descriptionMAM.zon	(revision 4324)
@@ -0,0 +1,70 @@
+rsutcs,SWup at TOA ClearSky,W/m2,-10,220 
+rsuscs,SWup at sfce ClearSky,W/m2,-10,210 
+rsus,SWup at sfce,W/m2,0,150 
+rsds,SWdn at sfce,W/m2,-10,300 
+rsdscs,SWdn at sfce ClearSky,W/m2,-10,350 
+rlus,LWup at Surface,W/m2,120,500
+sst,SST,C,-60,35
+hurs,RH at surface,%,60,100
+tasK,Temperature 2m,C,213,313
+tas,Temperature 2m,C,-75,35
+prw,Precipitable water,kg/m2
+pr,Precipitation,mm/day,0.,12.
+eva,Evaporation,kg/m2*s,0.,10.
+prl,Large-Scale precipitation,mm/day,0.,10.
+prc,Convective precipitation,mm/day,0.,10.
+rstt,Rad SW Total TOA,W/m2,-10.,375.
+rsttcs,Clear Sky Rad SW Total TOA,W/m2,-20.,400.
+rtt,Total Radiation TOA,W/m2,-180.,110.
+rttcs,Clear Sky Total Radiation TOA,W/m2,-200.,130.
+crelt,LW CRE TOA,W/m2,-10.,70.
+crest,SW CRE TOA,W/m3,-100.,10.
+crett,Total CRE TOA,W/m2,-70.,40.
+hfls,Latent heat flux,W/m2,0.,160.
+hfss,Sensible heat flux,W/m2,-40.,50.
+hfns,Surf. total heat flux,W/m2,-130.,140.
+tauu,Zonal wind stress,N/m2,-0.1,0.2
+tauv,Meridional wind stress,N/m2,-0.02,0.045
+psl,Sea level pressure,hPa,980.,1030.
+zg500,500hPa geopotential height,m,4900.,5950.
+rsts,Total SW rad surface,W/m2,-10.,275.
+rsut,Upward SW rad TOA,W/m2,-10.,275
+rlut,OLR,W/m2,120.,300.
+rlutcs,Clear sky OLR,W/m2,120.,300.
+albs,Surface albedo,\%,0.,80.
+albt,Planetary albedo,\%,20.,80.
+cress,SW CRE surface,W/m2,-100.,10.
+crels,LW CRE surface,W/m2,0.,80.
+crets,Total CRE surface,W/m2,-90.,70.
+rts,Total radiation surface,W/m2,-50.,200.
+rah,Atm. Rad. Heat.,W/m2,-150,-60
+rahcs,Atm. Rad. Heat. - clear sky,W/m2,-150,-50
+rahcre,Atm. rad. Heat. - CRE,W/m2,-50,60
+rsah,Atm. SW Heat.,W/m2,-10.,120.
+rsahcs,Atm. SW Heat. - Clear sky,W/m2,-10.,120.
+rsahcre,Atm. SW Heat. - CRE,W/m2,-2,15
+rlah,Atm. LW Heat.,W/m2,-225.,-75.
+rlahcs,Atm. LW Heat. - Clear sky,W/m2,-225.,-75.
+rlahcre,Atm. LW Heat. - CRE,W/m2,-50.,60.
+cltcalipso,Total Cloud,\%,0,100
+clhcalipso,High Cloud,\%,0,70
+clmcalipso,Middle Cloud,\%,0,40
+cllcalipso,Low Cloud,\%,0,90
+clcalipso,Cloud Vertical distrib.,\%,0,90
+clh,LMDZ High Cloud,\%,0,70
+clm,LMDZ Middle Cloud,\%,0,50
+cll,LMDZ Low Cloud,\%,0,90
+clloce,Low Cloud Ocean,\%,0.90
+cllter,Low Cloud Land,\%,0.90
+cllsic,Low Cloud Sea Ice,\%,0.90
+clllic,Low Cloud Land Ice,\%,0.90
+clmoce,Middle Cloud Ocean,\%,0.90
+clmter,Middle Cloud Land,\%,0.90
+clmsic,Middle Cloud Sea Ice,\%,0.90
+clmlic,Middle Cloud Land Ice,\%,0.90
+clhoce,High Cloud Ocean,\%,0.90
+clhter,High Cloud Land,\%,0.90
+clhsic,High Cloud Sea Ice,\%,0.90
+clhlic,High Cloud Land Ice,\%,0.90
+rlds,LWdownSFC,W/m2,50.,450.
+rldscs,CS LWdownSFC,W/m2,50.,450.
Index: /BOL/Multi_atlas/descriptionSON.zon
===================================================================
--- /BOL/Multi_atlas/descriptionSON.zon	(revision 4324)
+++ /BOL/Multi_atlas/descriptionSON.zon	(revision 4324)
@@ -0,0 +1,70 @@
+rsutcs,SWup at TOA ClearSky,W/m2,-10,220 
+rsuscs,SWup at sfce ClearSky,W/m2,-10,210 
+rsus,SWup at sfce,W/m2,0,150 
+rsds,SWdn at sfce,W/m2,-10,300 
+rsdscs,SWdn at sfce ClearSky,W/m2,-10,350 
+rlus,LWup at Surface,W/m2,120,500
+sst,SST,C,-60,35
+hurs,RH at surface,%,60,100
+tasK,Temperature 2m,C,213,313
+tas,Temperature 2m,C,-75,35
+prw,Precipitable water,kg/m2
+pr,Precipitation,mm/day,0.,12.
+eva,Evaporation,kg/m2*s,0.,10.
+prl,Large-Scale precipitation,mm/day,0.,10.
+prc,Convective precipitation,mm/day,0.,10.
+rstt,Rad SW Total TOA,W/m2,-10.,375.
+rsttcs,Clear Sky Rad SW Total TOA,W/m2,-20.,400.
+rtt,Total Radiation TOA,W/m2,-180.,110.
+rttcs,Clear Sky Total Radiation TOA,W/m2,-200.,130.
+crelt,LW CRE TOA,W/m2,-10.,70.
+crest,SW CRE TOA,W/m3,-100.,10.
+crett,Total CRE TOA,W/m2,-70.,40.
+hfls,Latent heat flux,W/m2,0.,160.
+hfss,Sensible heat flux,W/m2,-40.,50.
+hfns,Surf. total heat flux,W/m2,-130.,140.
+tauu,Zonal wind stress,N/m2,-0.1,0.2
+tauv,Meridional wind stress,N/m2,-0.02,0.045
+psl,Sea level pressure,hPa,980.,1030.
+zg500,500hPa geopotential height,m,4900.,5950.
+rsts,Total SW rad surface,W/m2,-10.,275.
+rsut,Upward SW rad TOA,W/m2,-10.,275
+rlut,OLR,W/m2,120.,300.
+rlutcs,Clear sky OLR,W/m2,120.,300.
+albs,Surface albedo,\%,0.,80.
+albt,Planetary albedo,\%,20.,80.
+cress,SW CRE surface,W/m2,-100.,10.
+crels,LW CRE surface,W/m2,0.,80.
+crets,Total CRE surface,W/m2,-90.,70.
+rts,Total radiation surface,W/m2,-50.,200.
+rah,Atm. Rad. Heat.,W/m2,-150,-60
+rahcs,Atm. Rad. Heat. - clear sky,W/m2,-150,-50
+rahcre,Atm. rad. Heat. - CRE,W/m2,-50,60
+rsah,Atm. SW Heat.,W/m2,-10.,120.
+rsahcs,Atm. SW Heat. - Clear sky,W/m2,-10.,120.
+rsahcre,Atm. SW Heat. - CRE,W/m2,-2,15
+rlah,Atm. LW Heat.,W/m2,-225.,-75.
+rlahcs,Atm. LW Heat. - Clear sky,W/m2,-225.,-75.
+rlahcre,Atm. LW Heat. - CRE,W/m2,-50.,60.
+cltcalipso,Total Cloud,\%,0,100
+clhcalipso,High Cloud,\%,0,70
+clmcalipso,Middle Cloud,\%,0,40
+cllcalipso,Low Cloud,\%,0,90
+clcalipso,Cloud Vertical distrib.,\%,0,90
+clh,LMDZ High Cloud,\%,0,70
+clm,LMDZ Middle Cloud,\%,0,50
+cll,LMDZ Low Cloud,\%,0,90
+clloce,Low Cloud Ocean,\%,0.90
+cllter,Low Cloud Land,\%,0.90
+cllsic,Low Cloud Sea Ice,\%,0.90
+clllic,Low Cloud Land Ice,\%,0.90
+clmoce,Middle Cloud Ocean,\%,0.90
+clmter,Middle Cloud Land,\%,0.90
+clmsic,Middle Cloud Sea Ice,\%,0.90
+clmlic,Middle Cloud Land Ice,\%,0.90
+clhoce,High Cloud Ocean,\%,0.90
+clhter,High Cloud Land,\%,0.90
+clhsic,High Cloud Sea Ice,\%,0.90
+clhlic,High Cloud Land Ice,\%,0.90
+rlds,LWdownSFC,W/m2,50.,450.
+rldscs,CS LWdownSFC,W/m2,50.,450.